## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples
Class ASAConfig

    java.lang.Object
      org.eclipse.datatools.sqltools.core.SQLDevToolsConfiguration
          org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.ASAConfig

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable

    public class ASAConfig

extends org.eclipse.datatools.sqltools.core.SQLDevToolsConfiguration

Author:
  hcao

Field Summary
`static java.lang.String[]` `_ALSO_SUPPORT_VERSIONS`
`static java.lang.String[]` `ASA_ALIASES`

Constructor Summary
`ASAConfig()`

Method Summary
`org.eclipse.datatools.sqltools.core.DatabaseVendorDefinitionId[]` `alsoSupport()`
`org.eclipse.datatools.sqltools.core.IDatabaseSetting` `createDbSetting(org.eclipse.datatools.sqltools.core.DatabaseIdentifier databaseIdentifier)`
`java.lang.String[]` `getAssociatedConnectionProfileType()`
`static ASAConfig` `getInstance()`
`org.eclipse.datatools.sqltools.core.services.SQLDataService` `getSQLDataService()`
`org.eclipse.datatools.sqltools.core.services.SQLService` `getSQLService()`
`boolean` `recognize(java.lang.String product, java.lang.String version)`

Methods inherited from class org.eclipse.datatools.sqltools.core.SQLDevToolsConfiguration
`getAdapter, getConnectionService, getDatabaseSetting, getDatabaseVendorDefinitionId, getDBHelper, getDefaultInstance, getExecutionService, getSQLEditorService, setDatabaseVendorDefinitionId`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ASA_ALIASES

    public static final java.lang.String[] ASA_ALIASES

### _ALSO_SUPPORT_VERSIONS

    public static final java.lang.String[] _ALSO_SUPPORT_VERSIONS

Constructor Detail

### ASAConfig

    public ASAConfig()

Method Detail

### getInstance

    public static ASAConfig getInstance()

### createDbSetting

    public org.eclipse.datatools.sqltools.core.IDatabaseSetting createDbSetting(org.eclipse.datatools.sqltools.core.DatabaseIdentifier databaseIdentifier)

### recognize

    public boolean recognize(java.lang.String product,
                             java.lang.String version)

  Overrides:
    `recognize` in class `org.eclipse.datatools.sqltools.core.SQLDevToolsConfiguration`

### getAssociatedConnectionProfileType

    public java.lang.String[] getAssociatedConnectionProfileType()

  Overrides:
    `getAssociatedConnectionProfileType` in class `org.eclipse.datatools.sqltools.core.SQLDevToolsConfiguration`

### alsoSupport

    public org.eclipse.datatools.sqltools.core.DatabaseVendorDefinitionId[] alsoSupport()

### getSQLService

    public org.eclipse.datatools.sqltools.core.services.SQLService getSQLService()

  Overrides:
    `getSQLService` in class `org.eclipse.datatools.sqltools.core.SQLDevToolsConfiguration`

### getSQLDataService

    public org.eclipse.datatools.sqltools.core.services.SQLDataService getSQLDataService()

  Overrides:
    `getSQLDataService` in class `org.eclipse.datatools.sqltools.core.SQLDevToolsConfiguration`